Summary:	IEEE 802.11i/WPA Support Tool
Name:		wpa_supplicant
Version:	0.2.4
Release:	1mdk
License:	GPL
Group:		Communications
URL:		http://hostap.epitest.fi/wpa_supplicant/
Source0:	http://hostap.epitest.fi/releases/wpa_supplicant-0.2.4.tar.gz
Source1:	wpa-config
Source2:	madwifi-20040913-for_wpa_supplicant.tar.bz2
Patch0:		%{name}-%{version}-madwifi_Makefile.patch.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libopenssl-devel
BuildRequires:	pcsc-lite-devel
# http://ndiswrapper.sourceforge.net/wiki/index.php/WPA

%description
Supported WPA/IEEE 802.11i features:
- WPA-PSK ("WPA-Personal")
- WPA with EAP (e.g., with RADIUS authentication server) ("WPA-Enterprise")
  (currently, EAP-TLS and EAP-PEAP/MSCHAPv2 are supported with an integrated
   IEEE 802.1X Supplicant;
   other EAP types may be used with an external program, Xsupplicant)
- key management for CCMP, TKIP, WEP104, WEP40
- RSN/WPA2 (IEEE 802.11i)

%prep
%setup -q
tar xfj %{SOURCE2}
%patch0 -p1 -b .madwifi

%build
cp $RPM_SOURCE_DIR/wpa-config .config
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc
cp %{SOURCE1} .config

cp wpa_supplicant $RPM_BUILD_ROOT/%{_sbindir}
cp wpa_cli $RPM_BUILD_ROOT/%{_sbindir}
cp wpa_passphrase $RPM_BUILD_ROOT/%{_sbindir}
cp wpa_supplicant.conf $RPM_BUILD_ROOT/etc/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc COPYING ChangeLog README
%config(noreplace) /etc/wpa_supplicant.conf
%{_sbindir}/wpa*
#/usr/sbin/wpa*

%changelog
* Mon Sep 13 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.2.4-1mdk
- clean spec
- 0.2.4

* Tue May 11 2004 Tooru Yoshida <yoshida@embeddedlinux.jp>
- wpa_supplicant 0.2.1
